### Enumeration

# Atk Layer

#### Declaration

    enum Atk.Layer

#### Description [src]

Describes the layer of a component

These enumerated “layer values” are used when determining which UI rendering layer a component is drawn into, which can help in making determinations of when components occlude one another.

#### Members

`ATK_LAYER_INVALID`

  The object does not have a layer.

  - Value: `0`
  - Available since: 1.0
`ATK_LAYER_BACKGROUND`

  This layer is reserved for the desktop background.

  - Value: `1`
  - Available since: 1.0
`ATK_LAYER_CANVAS`

  This layer is used for Canvas components.

  - Value: `2`
  - Available since: 1.0
`ATK_LAYER_WIDGET`

  This layer is normally used for components.

  - Value: `3`
  - Available since: 1.0
`ATK_LAYER_MDI`

  This layer is used for layered components.

  - Value: `4`
  - Available since: 1.0
`ATK_LAYER_POPUP`

  This layer is used for popup components, such as menus.

  - Value: `5`
  - Available since: 1.0
`ATK_LAYER_OVERLAY`

  This layer is reserved for future use.

  - Value: `6`
  - Available since: 1.0
`ATK_LAYER_WINDOW`

  This layer is used for toplevel windows.

  - Value: `7`
  - Available since: 1.0